
/* Strong blockquotes for exercises */

div .section blockquote {
  margin:20px 0 0;
  border-left: 5px solid rgb(0, 111, 78);
}

/* ADVISORI colors for toc and titles */

#table-of-contents h2 {
    background-color: rgb(0, 111, 78);
    color: #fcfcfc;
}

h1, h2, h3, h4, h5, h6 {
    color: rgb(0, 111, 78);
}

#nav-top span.glyphicon {
    color: rgb(0, 111, 78);
}

code span.kw {
    color: rgb(0, 111, 78);
}

/* Improve visibility for inline shiny */

.shiny-frame {
  height:80vH;
}

/* Numbered chunks

body {
  counter-reset: rchunks;
}

div.sourceCode {
  padding-left: 3em;
}

#content pre.r {
  counter-increment: rchunks;
  position: relative;
  overflow: visible;
}

#content pre.r::before {
  content: '[' counter(rchunks) ']';
  display: inline-block;
  position: absolute;
  left: -3em;
  color: rgb(48, 63, 159);
}

*/

#content pre.result_output {
  max-height: 100vh;  
}



#content div.sourceCode {
  overflow: hidden;
}

#content pre.chunk_number {
  padding-top:1em;
  float:left;
  color: rgb(48, 63, 159);
  border:none;
  background:none;
}

#content pre.exercise {
  display:none;
}

#content .solution{
  max-height: 40px;
  overflow:hidden;
}

#content .solution:hover {
  max-height: none;
}

/*
div.sourceCode::before {
  content: attr(data-name);
  display: inline-block;
  position: absolute;
  right: 5em;
}
*/

div.footnotes {
  position: fixed;
  top: 0px;
  right: 10px;
  width: 400px;
  max-width:30vw;
}

div.footnotes li {
  display:none;
  background-color: white;
  padding: 5px;
  border: 1px solid rgb(0, 111, 78);
}


#fn1:target {display:block;}
#fn2:target {display:block;}
#fn3:target {display:block;}
#fn4:target {display:block;}
#fn5:target {display:block;}
#fn6:target {display:block;}
#fn7:target {display:block;}
#fn8:target {display:block;}
#fn9:target {display:block;}
#fn10:target {display:block;}
#fn11:target {display:block;}
#fn12:target {display:block;}
#fn13:target {display:block;}
#fn14:target {display:block;}
#fn15:target {display:block;}
#fn16:target {display:block;}
#fn17:target {display:block;}
#fn18:target {display:block;}
#fn19:target {display:block;}
#fn20:target {display:block;}


